Skip to main content
GET
/
addresses
/
{address_hash_param}
/
token-transfers
List token transfers involving a specific address with filtering options
curl --request GET \
  --url 'https://api.blockscout.com/{chain_id}/api/v2/addresses/{address_hash_param}/token-transfers?apikey='
{
  "items": [
    {
      "block_hash": "<string>",
      "block_number": 123,
      "from": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "proxy_type": "eip1167",
        "reputation": "ok",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      },
      "log_index": 123,
      "method": "transfer",
      "timestamp": "2023-11-07T05:31:56Z",
      "to": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "proxy_type": "eip1167",
        "reputation": "ok",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      },
      "token": {
        "address_hash": "<string>",
        "circulating_market_cap": "<string>",
        "decimals": "<string>",
        "exchange_rate": "<string>",
        "holders_count": "<string>",
        "icon_url": "https://example.com",
        "name": "<string>",
        "reputation": "ok",
        "symbol": "<string>",
        "total_supply": "<string>",
        "type": "ERC-20",
        "volume_24h": "<string>",
        "bridge_type": "omni",
        "foreign_address": "<string>",
        "origin_chain_id": "<string>"
      },
      "token_type": "ERC-20",
      "total": {
        "token_id": "<string>",
        "token_instance": {
          "animation_url": "https://example.com",
          "external_app_url": "https://example.com",
          "id": "<string>",
          "image_url": "https://example.com",
          "is_unique": true,
          "media_type": "image/png",
          "media_url": "https://example.com",
          "metadata": {
            "description": "Test",
            "image": "https://example.com/image.png",
            "name": "Test"
          },
          "owner": {
            "ens_domain_name": "<string>",
            "hash": "<string>",
            "implementations": [
              {
                "address_hash": "<string>",
                "name": "<string>"
              }
            ],
            "is_contract": true,
            "is_scam": true,
            "is_verified": true,
            "metadata": {
              "tags": [
                {
                  "meta": {},
                  "name": "<string>",
                  "ordinal": 123,
                  "slug": "<string>",
                  "tagType": "<string>"
                }
              ]
            },
            "name": "<string>",
            "proxy_type": "eip1167",
            "reputation": "ok",
            "private_tags": [
              {
                "address_hash": "<string>",
                "display_name": "<string>",
                "label": "<string>"
              }
            ],
            "public_tags": [
              {
                "address_hash": "<string>",
                "display_name": "<string>",
                "label": "<string>"
              }
            ],
            "watchlist_names": [
              {
                "display_name": "<string>",
                "label": "<string>"
              }
            ]
          },
          "thumbnails": {
            "original": "<string>",
            "250x250": "<string>",
            "500x500": "<string>",
            "60x60": "<string>"
          },
          "token": {
            "address_hash": "<string>",
            "circulating_market_cap": "<string>",
            "decimals": "<string>",
            "exchange_rate": "<string>",
            "holders_count": "<string>",
            "icon_url": "https://example.com",
            "name": "<string>",
            "reputation": "ok",
            "symbol": "<string>",
            "total_supply": "<string>",
            "type": "ERC-20",
            "volume_24h": "<string>",
            "bridge_type": "omni",
            "foreign_address": "<string>",
            "origin_chain_id": "<string>"
          },
          "token_type": "ERC-20",
          "value": "<string>"
        }
      },
      "transaction_hash": "<string>",
      "type": "token_burning"
    }
  ],
  "next_page_params": {
    "block_number": 12345678,
    "index": 0,
    "items_count": 50
  }
}

Documentation Index

Fetch the complete documentation index at: https://blockscout-mf-14206.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
query
required

API key for authentication. Required for all Pro API endpoints. Obtain your API key at https://dev.blockscout.com/

Path Parameters

address_hash_param
string
required

Address hash in the path

Pattern: ^0x([A-Fa-f0-9]{40})$

Query Parameters

apikey
string
required

API key for rate limiting or for sensitive endpoints

key
string

Secret key for getting access to restricted resources

filter
enum<string>

Filter transactions by direction:

  • to - Only show transactions sent to this address
  • from - Only show transactions sent from this address If omitted, all transactions involving the address are returned.
Available options:
to,
from
type

Filter by token type. Comma-separated list of:

  • ERC-20 - Fungible tokens
  • ERC-721 - Non-fungible tokens
  • ERC-1155 - Multi-token standard
  • ERC-404 - Hybrid fungible/non-fungible tokens

Example: ERC-20,ERC-721 to show both fungible and NFT transfers

Required string length: 0
token
string

Filter token transfers by token contract address.

Pattern: ^0x([A-Fa-f0-9]{40})$
block_number
integer

Block number for paging

Required range: x >= 0
index
integer

Item index for paging

items_count
integer

Number of items returned per page

Required range: 1 <= x <= 50
batch_log_index
integer

Batch log index for paging

batch_block_hash
string

Batch block hash for paging

Pattern: ^0x([A-Fa-f0-9]{64})$
batch_transaction_hash
string

Batch transaction hash for paging

Pattern: ^0x([A-Fa-f0-9]{64})$
index_in_batch
integer

Index in batch for paging

Response

All token transfers for the specified address.

items
TokenTransfer · object[]
required
next_page_params
object
required
Example:
{
"block_number": 12345678,
"index": 0,
"items_count": 50
}